package com.my.controller;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.my.utils.MyUtils;
import	com.my.service.DorService;
import	com.my.model.RequestParams;
import	com.my.model.ResponseParams;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

@Controller
@CrossOrigin("*")//防止本地跨域
public class DorController {

	@Resource
	private DorService dorService;

	@RequestMapping("/getDor")
	@ResponseBody
	public ResponseParams  getDor(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return dorService.getDor(req);
	}
}
