package com.my.service;

import org.springframework.web.multipart.MultipartFile;

import com.my.model.AccountInfo;
import com.my.model.LoginInfo;
import com.my.model.ResponseParams;

public interface AccountService {

	
	
	public ResponseParams loginAccount(String params);
	public ResponseParams loginAccountByToken(String accessToken);

	public LoginInfo doLoginAccount(Object userName,Object password);

	public AccountInfo resolveAccount(String params);
	public ResponseParams saveAccount(String params,MultipartFile imgUrlf,MultipartFile companyLogof);	
	public ResponseParams getMyAccount(String params);

}
